#
# spec file for package yubikey-neo-manager
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yubikey-neo-manager
Version:        1.4.0
Release:        3.3
Summary:        YubiKey NEO CCID Manager GUI
License:        BSD-2-Clause
Group:          System/Security
Url:            https://developers.yubico.com/yubikey-neo-manager/
Source0:        https://developers.yubico.com/yubikey-neo-manager/Releases/%{name}-%{version}.tar.gz
Source1:        https://developers.yubico.com/yubikey-neo-manager/Releases/%{name}-%{version}.tar.gz.sig
BuildRequires:  fdupes
BuildRequires:  pkg-config
BuildRequires:  python-libxml2
BuildRequires:  python-nose
BuildRequires:  python-setuptools >= 0.6b3
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(pyside)
BuildRequires:  pkgconfig(python) >= 2.6.6
BuildRequires:  pkgconfig(u2f-host)
BuildRequires:  pkgconfig(ykneomgr) >= 0.1.6
BuildRequires:  pkgconfig(ykpers-1) >= 1.11
Requires:       libu2f-host0
Requires:       libykneomgr0 >= 0.1.6
Requires:       libykpers-1-1 >= 1.11
Requires:       python-pycrypto
Requires:       python-pyside
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
GUI for managing your YubiKey NEO configuration.
Connecting multiple keys at once is supported,
but only if CCID mode is active for all of them.

%prep
%setup -q

%build
python setup.py qt_resources
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p -m 0644 resources/neoman.xpm %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0644 man/neoman.1 %{buildroot}%{_mandir}/man1/neoman.1
%suse_update_desktop_file -i neoman System Security
%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NEWS ChangeLog README
%{_mandir}/man1/*
%{_bindir}/neoman
%{python_sitelib}
%{_datadir}/applications/neoman.desktop
%{_datadir}/pixmaps/neoman.xpm

%changelog
* Thu Nov 12 2015 t.gruner@katodev.de
- Version 1.4.0 (released 2015-11-12)
  - Added support for YK4 based devices.
  - Fixed refresh of device name after change.
* Sun Oct 25 2015 t.gruner@katodev.de
- Fix dependencive in .spec file
* Tue Oct 13 2015 t.gruner@katodev.de
- Add dependencive in .spec file
* Tue Jun  2 2015 t.gruner@katodev.de
- Version 1.3.0 (released 2015-05-18)
  - Updated applet definitions to fix incorrect OpenPGP applet version.
  - Fix displaying wrong firmware version in CCID mode.
  - Base U2F support on if applet is available (CCID).
  - Don’t save window position as it causes problems with multi-monitor setups.
* Tue Apr 28 2015 t.gruner@katodev.de
- Cleanup .spec file
* Thu Apr 16 2015 t.gruner@katodev.de
- Version 1.2.1 (released 2015-04-10)
  - Bugfix release: Fix mode switching when in U2F-only mode.
- Version 1.2.0 (released 2015-04-10)
  - Added support for YubiKey Edge.
  - Get rid of help buttons in Windows dialogs.
  - Better error handling when switching modes.
* Tue Dec  9 2014 t.gruner@katodev.de
- Version 1.1.0 (released 2014-12-01)
  - Fixed font on OS X 10.10.
  - Added support for recognizing YubiKey Plus.
  - Fixed support for displaying standard YubiKeys.
- Version 1.0.0 (released 2014-11-19)
  - 1.x.x version (no changes from 0.2.6).
- Version 0.2.6 (released 2014-11-18)
  - Re-enable OTP in combination with U2F.
- Version 0.2.5 (released 2014-11-03)
  - Recover from getting into a bad state when CCID becomes temporarily
    unavailable (which was causing problems on OS X Yosemite).
  - Fixed modes being incorrectly reported under some circumstances.
- Version 0.2.4 (released 2014-10-27)
  - Build and release related stuff, no new features.
- Version 0.2.3 (released 2014-10-14)
  - Use image assets from code instead of external files.
- Version 0.2.2 (released 2014-09-26)
  - Better handle multiple devices with no serial set.
  - Don't display OTP/U2F note for devices without U2F support.
- Version 0.2.1 (released 2014-09-26)
  - Correctly display mode for OTP+U2F devices.
  - Don't display firmware in modes where firmware cannot be read.
  - Display unsupported Yubico devices.
  - Disable OTP+U2F combinations as they aren't currently usable.
* Tue Sep 16 2014 t.gruner@katodev.de
- Version 0.2.0 (released 2014-09-16)
  - Removed usage of card manager keys for normal use.
  - Added support for U2F modes (if hardware supports it).
  - Better support for composite devices.
- Version 0.1.0 (released 2014-03-25)
  - Added the ability to view installed applet versions.
  - Updated ykneomgr with ability to send custom APDUs.
- Version 0.0.2 (released 2014-03-20)
  - Support for installing/removing applets.
  - Support for multiple NEOs.
  - Better support for platform specific packaging.
- Version 0.0.1 (released 2013-11-13)
  - Initial release supporting mode changing.
